#include "stdafx.h"
#include "War3FileException.h"
#include "War3TypesAndConstants.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CWar3FileException::CWar3FileException()
{
	m_cause = unknown;
	m_strMessage = "";
}

CWar3FileException::CWar3FileException(int war3FileExceptionCause, LPCSTR szMessage)
{
	m_cause = war3FileExceptionCause;
	if (NULL != szMessage)
	{
		m_strMessage = szMessage;
	}
	else
	{
		m_strMessage = "";
	}
}

CWar3FileException::~CWar3FileException()
{

}


CString CWar3FileException::GetMessage() const
{
	return m_strMessage;
}

void CWar3FileException::SetMessage(const CString &strMessage)
{
	m_strMessage = strMessage;
}

void CWar3FileException::ReportError()
{
	//W3Z_WARNING(m_strMessage);
}
